SoBundle(3)

NAME
SoBundle - The SoBundle class is the superclass for all bundle classes.

SYNOPSIS

#include <Inventor/bundles/SoBundle.h>

Inherited by SoMaterialBundle, SoNormalBundle, SoTextureCoordinateBundle, and SoVertexAttributeBundle.

  Protected Member Functions
SoBundle (SoAction *action)
~SoBundle ()

  Protected Attributes
SoState * state
The state of the current action.

Detailed Description

The SoBundle class is the superclass for all bundle classes.

Constructor & Destructor Documentation

  SoBundle::SoBundle (SoAction * action) [protected]
Constructor with action being the action applied to the node.

  SoBundle::~SoBundle () [protected]
Destructor

Author

Generated automatically by Doxygen for Coin from the source code.